Page MenuHomePhabricator

Special:UsersWhoWillBeRenamed displays current timestamp for users with no registration date
Closed, ResolvedPublic

Description

We should probably instead display a message that says "Very old account" or something.

Event Timeline

Legoktm created this task.Mar 7 2015, 12:02 AM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added a subscriber: Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2015, 12:02 AM
Keegan added a subscriber: Keegan.EditedMar 7 2015, 7:20 AM

What about "Unavailable: too old, not logged"?

Keegan added a comment.EditedMar 7 2015, 7:22 AM

Or "Unavailable: not logged, too old." This is intended to specify THAT is not available BECAUSE.

Keegan triaged this task as High priority.Mar 7 2015, 7:23 AM
Keegan set Security to None.
Keegan added subscribers: Nemo_bis, DerHexer, hoo.
DerHexer added a comment.EditedMar 7 2015, 11:49 AM

Finally available! :-) Thanks for everyone who made that possible. Will you eventually implement an option where we can filter by editcount or hide at least the 0 edit accounts?

Hm, afaics, the list stops at G- (see e.g. https://meta.wikimedia.org/w/index.php?title=Special:UsersWhoWillBeRenamed&dir=prev&limit=25 https://de.wikipedia.org/w/index.php?title=Special:UsersWhoWillBeRenamed&dir=prev&limit=25 ). Is there a limit for lists on Special pages that requires extension in order to get more results?

We should probably instead display a message that says "Very old account" or something.

Pathoschild's tools just say "< 2006"

DerHexer, the tables are still being populated AFAIK

Keegan added a comment.Mar 7 2015, 9:44 PM

Finally available! :-) Thanks for everyone who made that possible. Will you eventually implement an option where we can filter by editcount or hide at least the 0 edit accounts?

Frankly, by the time we get such features implemented we'll likely be done with this whole thing :)

We should probably instead display a message that says "Very old account" or something.

Pathoschild's tools just say "< 2006"

Sounds reasonable as well. < 2004 or the like. Don't have to translate anything that way.

DerHexer, the tables are still being populated AFAIK

This is correct.

I'll post the schema and how this is all being sorted out on Monday. We'll start contacting users as well.

Krenair added a subscriber: Krenair.Mar 8 2015, 1:40 AM
Stryn added a subscriber: Stryn.Mar 9 2015, 3:49 PM

Change 196785 had a related patch set uploaded (by Microchip08):
Display meaningful message for very old users

https://gerrit.wikimedia.org/r/196785

MC8 claimed this task.Mar 14 2015, 6:18 PM
MC8 added a comment.Mar 14 2015, 8:27 PM

As @Krenair mentions on the Gerrit patch set, "< 2004" isn't useful outside of WMF. Any further suggestions?

Change 196785 merged by jenkins-bot:
Display meaningful message for very old users

https://gerrit.wikimedia.org/r/196785

Change 196990 had a related patch set uploaded (by Legoktm):
Add override for "centralauth-uwbr-registration-nodate"

https://gerrit.wikimedia.org/r/196990

Change 196990 merged by jenkins-bot:
Add override for "centralauth-uwbr-registration-nodate"

https://gerrit.wikimedia.org/r/196990

Legoktm closed this task as Resolved.Mar 16 2015, 4:40 PM
Keegan moved this task from Doing to Done on the SUL-Finalization board.Mar 16 2015, 7:13 PM